summaryrefslogtreecommitdiffstats
path: root/source/l/gd
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/l/gd
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/l/gd')
-rwxr-xr-xsource/l/gd/gd.SlackBuild24
-rw-r--r--source/l/gd/gd.png14.diff65
-rw-r--r--source/l/gd/gdlib.pc2
3 files changed, 85 insertions, 6 deletions
diff --git a/source/l/gd/gd.SlackBuild b/source/l/gd/gd.SlackBuild
index a367412bc..c33f20ba1 100755
--- a/source/l/gd/gd.SlackBuild
+++ b/source/l/gd/gd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,19 @@
PKGNAM=gd
VERSION=${VERSION:-2.0.35}
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -44,13 +53,18 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION
+zcat $CWD/gd.png14.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
diff --git a/source/l/gd/gd.png14.diff b/source/l/gd/gd.png14.diff
new file mode 100644
index 000000000..49841ee4f
--- /dev/null
+++ b/source/l/gd/gd.png14.diff
@@ -0,0 +1,65 @@
+--- ./configure.ac.orig 2007-04-25 07:48:41.000000000 -0500
++++ ./configure.ac 2010-02-12 01:37:29.000000000 -0600
+@@ -342,20 +342,20 @@
+ [ --with-png=DIR where to find the png library],,
+ withval=yes)
+
+-# libpng12.so is a nightmare. We have to test separately for
+-# libpng12-config and libpng-config. If we find libpng12-config,
++# libpng14.so is a nightmare. We have to test separately for
++# libpng14-config and libpng-config. If we find libpng14-config,
+ # we don't look for the other, which will just be a symlink to it,
+ # confusing autoconf into thinking the library itself will be named -lpng,
+ # which it won't be. Awful. This code will suffice unless the libpng
+ # authors decide to do this AGAIN. Which I really hope they won't. TBB
+
+ if test "$withval" != no; then
+- AC_PATH_PROG([LIBPNG12_CONFIG], [libpng12-config])
++ AC_PATH_PROG([LIBPNG14_CONFIG], [libpng14-config])
+ AC_PATH_PROG([LIBPNG_CONFIG], [libpng-config])
+- if test -n "$LIBPNG12_CONFIG"; then
+- libpng_CPPFLAGS=`libpng12-config --cflags`
++ if test -n "$LIBPNG14_CONFIG"; then
++ libpng_CPPFLAGS=`libpng14-config --cflags`
+ # should be --ldopts, but it's currently broken
+- libpng_LDFLAGS=`libpng12-config --ldflags`
++ libpng_LDFLAGS=`libpng14-config --ldflags`
+ libpng_LDFLAGS=`echo " $libpng_LDFLAGS" | sed 's/ -l[[^ ]][[^ ]]*//g'`
+ elif test -n "$LIBPNG_CONFIG"; then
+ libpng_CPPFLAGS=`libpng-config --cflags`
+@@ -375,9 +375,9 @@
+ _ldflags="$LDFLAGS"
+ LDFLAGS="$libpng_LDFLAGS $LDFLAGS"
+
+- if test -n "$LIBPNG12_CONFIG"; then
+- AC_CHECK_LIB(png12,png_create_read_struct,
+- [LIBS="-lpng12 $LIBS"
++ if test -n "$LIBPNG14_CONFIG"; then
++ AC_CHECK_LIB(png14,png_create_read_struct,
++ [LIBS="-lpng14 $LIBS"
+ FEATURES="GD_PNG $FEATURES"
+ AC_DEFINE(HAVE_LIBPNG, 1, [ Define if you have the png library. ])],
+ [LDFLAGS="$_ldflags"
+@@ -402,9 +402,9 @@
+ AC_MSG_WARN([libpng is required - see http://www.libpng.org/pub/png/])
+ fi
+
+-#TBB: png12's png_create_read_struct is just as good
++#TBB: png14's png_create_read_struct is just as good
+ #2.0.23: should be = not ==
+-if test "$ac_cv_lib_png12_png_create_read_struct" = yes; then
++if test "$ac_cv_lib_png14_png_create_read_struct" = yes; then
+ ac_cv_lib_png_png_create_read_struct=yes
+ fi
+
+--- ./gd_png.c.orig 2007-06-14 14:51:41.000000000 -0500
++++ ./gd_png.c 2010-02-12 01:43:36.000000000 -0600
+@@ -149,7 +149,7 @@
+ return NULL;
+ }
+
+- if (!png_check_sig (sig, 8)) { /* bad signature */
++ if (!(png_sig_cmp(sig, 0, 8) == 0)) { /* bad signature */
+ return NULL; /* bad signature */
+ }
+
diff --git a/source/l/gd/gdlib.pc b/source/l/gd/gdlib.pc
index 7bd439b63..e39512638 100644
--- a/source/l/gd/gdlib.pc
+++ b/source/l/gd/gdlib.pc
@@ -10,5 +10,5 @@ Name: gd-devel
Description: A graphics library for quick creation of PNG or JPEG images
Version: @VERSION@
Requires:
-Libs: -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12 -lz -lm
+Libs: -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng14 -lz -lm
Cflags: -I${prefix}/include